<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
				xmlns="http://www.w3.org/1999/xhtml">

<!-- ======================================================== -->
<!-- Pievienojam kopējās transformācijas -->
<xsl:import href="/usr/local/share/xml/lu/lu_html.xsl"/>

<!-- ======================================================== -->
<xsl:output encoding="utf-8" method="html" doctype-public="//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<xsl:output name="section-format" encoding="utf-8" indent="yes" method="html" doctype-public="//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<!-- Pievienojam kopējās e-fizikas transformācijas -->
<xsl:include href="efizika_html_common.xsl"/>

<xsl:template name="head">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/standard/styles.php" />
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/profizgl/styles.php" />
<link type="text/css" rel="StyleSheet">
	<xsl:attribute name="href" select="/(article|book)/@stylesheet"/>
</link>
<xsl:text disable-output-escaping="yes">
<![CDATA[<!--[if IE 7]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/standard/styles_ie7.css" />
<![endif]-->
<!--[if IE 6]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/standard/styles_ie6.css" />
<![endif]-->
<!--[if IE 7]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/profizgl/styles_ie7.css" />
<![endif]-->
<!--[if IE 6]>
<link rel="stylesheet" type="text/css" href="http://profizgl.lu.lv/theme/profizgl/styles_ie6.css" />
<![endif]-->]]></xsl:text>
<meta name="keywords">
	<xsl:attribute name="content">
		<xsl:text>moodle, </xsl:text>
		<xsl:value-of select="title"/>
	</xsl:attribute>
</meta>
<title>
	<xsl:value-of select="title"/>
</title>
<link rel="shortcut icon" href="http://profizgl.lu.lv/theme/profizgl/favicon.ico" />
<script type="text/javascript" src="http://profizgl.lu.lv/lib/speller/spellChecker.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/javascript-static.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/javascript-mod.php"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/overlib/overlib.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/overlib/overlib_cssstyle.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/cookies.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/ufo.js"></script>
<script type="text/javascript" src="http://profizgl.lu.lv/lib/dropdown.js"></script>
<script type="text/javascript" defer="defer"><xsl:text disable-output-escaping="yes"><![CDATA[
setTimeout('fix_column_widths()', 20);
]]></xsl:text></script>
<script type="text/javascript"><xsl:text disable-output-escaping="yes"><![CDATA[
function openpopup(url, name, options, fullscreen) {
	var fullurl = "http://profizgl.lu.lv" + url;
	var windowobj = window.open(fullurl, name, options);
	if (!windowobj) {
		return true;
	}
	if (fullscreen) {
		windowobj.moveTo(0, 0);
		windowobj.resizeTo(screen.availWidth, screen.availHeight);
	}
	windowobj.focus();
	return false;
}

function uncheckall() {
	var inputs = document.getElementsByTagName('input');
	for(var i = 0; i < inputs.length; i++) {
		inputs[i].checked = false;
	}
}

function checkall() {
	var inputs = document.getElementsByTagName('input');
	for(var i = 0; i < inputs.length; i++) {
		inputs[i].checked = true;
	}
}

function inserttext(text) {
  text = ' ' + text + ' ';
  if ( opener.document.forms['theform'].message.createTextRange && opener.document.forms['theform'].message.caretPos) {
	var caretPos = opener.document.forms['theform'].message.caretPos;
	caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text + ' ' : text;
  } else {
	opener.document.forms['theform'].message.value  += text;
  }
  opener.document.forms['theform'].message.focus();
}

function getElementsByClassName(oElm, strTagName, oClassNames){
	var arrElements = (strTagName == "*" && oElm.all)? oElm.all : oElm.getElementsByTagName(strTagName);
	var arrReturnElements = new Array();
	var arrRegExpClassNames = new Array();
	if(typeof oClassNames == "object"){
		for(var i=0; i<oClassNames.length; i++){
			arrRegExpClassNames.push(new RegExp("(^|\\s)" + oClassNames[i].replace(/\-/g, "\\-") + "(\\s|$)"));
		}
	}
	else{
		arrRegExpClassNames.push(new RegExp("(^|\\s)" + oClassNames.replace(/\-/g, "\\-") + "(\\s|$)"));
	}
	var oElement;
	var bMatchesAll;
	for(var j=0; j<arrElements.length; j++){
		oElement = arrElements[j];
		bMatchesAll = true;
		for(var k=0; k<arrRegExpClassNames.length; k++){
			if(!arrRegExpClassNames[k].test(oElement.className)){
				bMatchesAll = false;
				break;
			}
		}
		if(bMatchesAll){
			arrReturnElements.push(oElement);
		}
	}
	return (arrReturnElements)
}
]]></xsl:text></script>
<script type="text/javascript" charset="utf-8"><xsl:text disable-output-escaping="yes"><![CDATA[
var CSSClass={};CSSClass.is=function(e,c){if(typeof e=="string")e=document.getElementById(e);var classes=e.className;if(!classes)return false;if(classes==c)return true;return e.className.search("\\b"+c+"\\b")!=-1;};CSSClass.add=function(e,c){if(typeof e=="string")e=document.getElementById(e);if(CSSClass.is(e,c))return;if(e.className)c=" "+c;e.className+=c;};CSSClass.remove=function(e,c){if(typeof e=="string")e=document.getElementById(e);e.className=e.className.replace(new RegExp("\\b"+c+"\\b\\s*","g"),"");};

var script = {
	corrections: function () {
		if (top.user) {
			top.document.getElementsByTagName('frameset')[0].rows = "117,30%,0,200";
		}
		
		// check for layouttabel and add layouttable classes to body
		var tagname = 'nolayouttable';
		if (document.getElementById('middle-column')) {
			var lc = document.getElementById('left-column');
			var rc = document.getElementById('right-column');
			if ( lc && rc ) {
				tagname = 'haslayouttable rightandleftcolumn';
			} else if (lc) {
				tagname = 'haslayouttable onlyleftcolumn';
			} else if (rc) {
				tagname = 'haslayouttable onlyrightcolumn';
			} else {
				tagname = 'haslayouttable onlymiddlecolumn';
			}
		}
		
		function setbodytag (tagname) {
			var bd = document.getElementsByTagName('body')[0];
			if (bd) {
				CSSClass.add(bd, tagname);
			} else {
				setTimeout(function() { setbodytag(tagname) }, 30);
			}
		}
		
		setTimeout(function() { setbodytag(tagname) }, 30);
	},
	
	init: function() {
		script.corrections();
	}
};
]]></xsl:text></script>
</head>
</xsl:template>

<xsl:template match="sect1 | sect2 | sect3 |sect4 | sect5">
	<xsl:choose>
		<xsl:when test="self::sect1">
			<xsl:variable name="filename">
				<xsl:call-template name="generate_filename"/>
			</xsl:variable>
			<xsl:result-document href="{$filename}" format="section-format" validation="strip">
<html>
<xsl:call-template name="head"/>
<body class="mod-resource course-4 editing dir-ltr lang-lv_utf8 notinpopup" id="mod-resource-view">
<div id="page">
<div id="header" class="wrap wraplevel1 ">
<div id="header-bt" class="bt"><div>&#160;</div></div>
<div id="header-i1" class="i1"><div id="header-i2" class="i2"><div id="header-i3" class="i3 clearfix">

<table width="100%" border="0">
	<tr>
		<td width="256" rowspan="2" valign="middle">
			<a href="http://profizgl.lu.lv/"><img alt="LU PPP" src='http://profizgl.lu.lv/theme/profizgl/LU-PPP-logo-mazs.gif' width="256" height="55"/></a>
		</td>
		<td valign="top"><div class="headermenu" style="float: right;"></div></td>
	</tr>
	<tr>
		<td valign="top"><h1 class="headermain" style="display: block; float: none">Fizika: Vispārizglītojošās fizikas pamati un to īstenojums e-izglītibas vidē Latvijas arodvidusskolām</h1></td>
	</tr>
</table>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- ================ Breadcrumb START ================ -->]]></xsl:text>
<div class="navbar clearfix">
	<xsl:call-template name="breadcrumb"/>
</div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- ================ Breadcrumb END ================ -->]]></xsl:text>
</div></div></div>
<div id="header-bb" class="bb"><div>&#160;</div></div>
</div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- END OF HEADER -->]]></xsl:text>
<div id="content" class="wrap wraplevel1 "><div id="content-bt" class="bt"><div>&#160;</div></div><div id="content-i1" class="i1"><div id="content-i2" class="i2"><div id="content-i3" class="i3">
<div class="box generalbox generalboxcontent boxaligncenter clearfix">
				
<xsl:call-template name="sections"/>

</div>
<!-- <div class="modified">Pēdējoreiz modificēts: ceturtdiena, 2010. gada  11. marts, 09:30</div> -->
</div></div></div>
<div id="content-bb" class="bb"><div>&#160;</div></div></div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- end container Content -->]]></xsl:text>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- START OF FOOTER -->]]></xsl:text>
<div id="footer" class="wrap wraplevel1 ">
<div id="footer-bt" class="bt"><div>&#160;</div></div>
<div id="footer-i1" class="i1"><div id="footer-i2" class="i2"><div id="footer-i3" class="i3">
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- Footer Contents START -->]]></xsl:text>
<div class="homelink"><a  href="http://profizgl.lu.lv/course/view.php?id=4">Fizika</a></div>
<div style="margin-top: 8px;">
<img style="width:69px;height:30px" src="http://profizgl.lu.lv/theme/profizgl/ESF-small.gif" alt="ESF" />
<img style="width:44px;height:30px" src="http://profizgl.lu.lv/theme/profizgl/EK-logo-small.gif" alt="EK" />&#160;&#160;&#160;    <a href="http://www.lu.lv/">
<img style="width:100px;height:30px" src="http://profizgl.lu.lv/theme/profizgl/LU-logo-small.gif" alt="Latvijas Universitāte" /></a>
</div>
<div>E-studiju vide tiek nodrošināta sadarbībā ar Latvijas Universitāti</div>
<xsl:text disable-output-escaping="yes"><![CDATA[
<!-- Footer Contents END -->]]></xsl:text>
</div></div></div>
<div id="footer-bb" class="bb"><div>&#160;</div></div>
</div></div> <xsl:text disable-output-escaping="yes"><![CDATA[
<!-- end page div -->]]></xsl:text>
<script type="text/javascript"><xsl:text disable-output-escaping="yes">
<![CDATA[
	script.init();
]]>
</xsl:text></script>
</body>
</html>
			</xsl:result-document>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="sections"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="generate_filename">
	<xsl:call-template name="get_sect_number"/>
	<xsl:text>_</xsl:text>
	<xsl:choose>
		<xsl:when test="(ancestor::article|ancestor::book)/@id">
			<xsl:value-of select="(ancestor::article|ancestor::book)/@id"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>tema</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:text>.html</xsl:text>
</xsl:template>

<xsl:template name="sections">
	<xsl:apply-templates/>
	<xsl:if test="self::sect1 and descendant::footnote">
			<xsl:call-template name="generate_footnotes">
				<xsl:with-param name="footnotes" select="descendant::footnote"/>
			</xsl:call-template>
	</xsl:if>
</xsl:template>

<!-- Satura rādītāju ģenerēšana -->

<xsl:template match="sect1/title">
	<xsl:variable name="sect-id">
		<xsl:for-each select="..">
			<xsl:call-template name="sect-id"/>
		</xsl:for-each>
	</xsl:variable>
	<a>
		<xsl:attribute name="name">
			<xsl:value-of select="$sect-id"/>
		</xsl:attribute>
	</a>
	<h2>
		<xsl:if test="not(../@label='none')">
			<xsl:call-template name="get_sect_number"/>
			<xsl:text>&#160;&#160; </xsl:text>
		</xsl:if>
		<xsl:apply-templates/>
	</h2>
	<xsl:if test="../sect2">
		<div style="margin-left: 35px;">
			<xsl:call-template name="generate_sectcont">
				<xsl:with-param name="nodes" select="../sect2"/>
			</xsl:call-template>
		</div>
	</xsl:if>
</xsl:template>

<xsl:template name="generate_sectcont">
	<xsl:param name="nodes"/>
	<xsl:param name="level" select="1"/>
	<ol>
		<xsl:choose>
			<xsl:when test="$level=1">
				<xsl:attribute name="style">list-style-type: none; padding-left: 0px; margin-left: 0px;</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="style">list-style-type: none;</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:for-each select="$nodes">
			<li>
				<a>
					<xsl:attribute name="href">
						<xsl:text>#</xsl:text>
						<xsl:call-template name="sect-id"/>
					</xsl:attribute>
					<xsl:attribute name="class">internal</xsl:attribute>
					<xsl:apply-templates select="./title" mode="toc"/>
				</a>
				<xsl:if test="not(self::appendix) and (sect3|sect4|sect5)">
					<xsl:call-template name="generate_toc_sect">
						<xsl:with-param name="nodes" select="sect3|sect4|sect5"/>
						<xsl:with-param name="level" select="level+1"/>
					</xsl:call-template>
				</xsl:if>
			</li>
		</xsl:for-each>
	</ol>
</xsl:template>

<!-- Atsauču href atribūtu ģenerēšana, lai parādītos arī faila nosaukums -->
<xsl:template name="generate_href_attribute">
	<xsl:param name="ref"/>
	<xsl:attribute name="href">
		<xsl:if test="//*[@id=$ref][ancestor::sect1]">
			<xsl:for-each select="//*[@id=$ref]/ancestor::sect1">
				<xsl:call-template name="generate_filename"/>
			</xsl:for-each>
		</xsl:if>
		<xsl:text>#</xsl:text>
		<xsl:value-of select="generate-id(//*[@id=$ref])"/>
	</xsl:attribute>
</xsl:template>

</xsl:stylesheet>

