<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
				xmlns="http://www.w3.org/1999/xhtml">

<!-- ========================================= -->
<!-- Parametrs kursa kods -->
<xsl:param name="kursa_kods" select="'Fizika'"/>
<!-- ========================================= -->

<xsl:template match="map">
	<map>
		<xsl:attribute name="name" select="@name"/>
		<xsl:attribute name="id" select="@name"/>
		<xsl:apply-templates/>
	</map>
</xsl:template>

<xsl:template match="area">
	<area>
		<xsl:attribute name="shape" select="@shape"/>
		<xsl:attribute name="coords" select="@coords"/>
		<xsl:choose>
			<xsl:when test="@href">
				<xsl:attribute name="href" select="@href"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="ref" select="@linkend"/>
				<xsl:attribute name="href">
					<xsl:text>#</xsl:text>
					<xsl:value-of select="generate-id(//*[@id=$ref])"/>
				</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="@alt">
			<xsl:attribute name="alt" select="@alt"/>
		</xsl:if>
		<xsl:if test="@onclick">
			<xsl:attribute name="onclick" select="@onclick"/>
		</xsl:if>
	</area>
</xsl:template>

<xsl:template match="breadcrumbset">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="breadcrumb">
	<li>
		<xsl:text>&#160;</xsl:text><span class="arrow sep">&#x25BA;</span><xsl:text>&#160;</xsl:text>
		<xsl:choose>
			<xsl:when test="@fileref">
				<a onclick="this.target='_top'">
					<xsl:attribute name="href"><xsl:value-of select="@fileref"/></xsl:attribute>
					<xsl:value-of select="@name"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="@name"/>
			</xsl:otherwise>
		</xsl:choose>
	</li>
</xsl:template>

<xsl:template name="breadcrumb">
	<div class="breadcrumb"><h2 class="accesshide " >Jūs esat šeit</h2>
		<ul>
			<li class="first"><a onclick="this.target='_top'" href="http://profizgl.lu.lv/">ProfIzgl</a></li>
			<li>
				<xsl:text>&#160;</xsl:text><span class="arrow sep">&#x25BA;</span><xsl:text>&#160;</xsl:text>
				<a onclick="this.target='_top'" href="http://profizgl.lu.lv/course/view.php?id=4"><xsl:value-of select="$kursa_kods"/></a>
			</li>
			<xsl:apply-templates select="//breadcrumbset"/>
			<xsl:if test="self::sect1 | self::sect2 | self::sect3 | self::sect4 | self::sect5">
				<xsl:text>&#160;</xsl:text><span class="arrow sep">&#x25BA;</span><xsl:text>&#160;</xsl:text>
				<xsl:value-of select="title"/>
			</xsl:if>
		</ul>
	</div>
</xsl:template>

</xsl:stylesheet>

